import request from '~/utils/request';
import user from '~/store/user';
import { child } from '~/store/child';

export default request({
  url: '/khfw/xqgl/current',
  data: {
     token: user._role === 'jz' ? child.token : user.token
    

  }
}).then(res => {
  if (res.code === '1') {
    return res.data
  } else {
    return Promise.reject("'error:学期信息错误")
  }
})

/*
"kxq_id":"4",
"kxq_code":"4",
"kxq_name":"2021-2022上学期",
"kxq_xn":"2021",
"kxq_start_day":"2021-09-01",
"kxq_end_day":"2022-02-15",
"kxq_sfdqxq":"1",
"area_id1":"10",
"area_id2":"166",
"area_id3":"2074",
"area_id4":"0",
"sm_id":"329",
"dept_id":"0",
"user_id":"0",
"create_user_id":"215210",
"modify_user_id":"0",
"create_dateline":"1630577504",
"modify_dateline":"0",
"isdelete":"0"
*/
